Create Buy Order

Create a buy order for an item at a maximum price per item

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Create a buy order. Matching items are bought automatically at or below your price until the quantity is filled.

Identify the item with one of item_id, asset_id or item_name. Use item_name with the full market name, for example ★ Sport Gloves | Scarlet Shamagh (Field-Tested), if you don't have the item in your inventory.

coin_value is in coincents, so 100.01 coins is sent as 10001. It is the most you will pay per item, not for the whole order.

The total value of your open buy orders can be up to 10x your current balance. The limit is checked when you create, update or resume a buy order.

📘

Unlike on the website, you don't need to set up notifications before creating buy orders through the API.

📘

Changes to your buy orders are announced on the websocket with the buy_order_update event. Use it instead of polling this endpoint.

Body Params
string
required

Full market name of the item to buy, for example Operation Breakout Weapon Case. Can also send one of item_id or asset_id instead.

int32
required

Maximum price per item. This is in coincents, so 1 coin = 100 coincents

int32
required
Defaults to 1

How many of this item to buy. Must be 1 or more.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json